summaryrefslogtreecommitdiff
path: root/dev-python/trustme
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/trustme
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/trustme')
-rw-r--r--dev-python/trustme/Manifest1
-rw-r--r--dev-python/trustme/metadata.xml14
-rw-r--r--dev-python/trustme/trustme-1.2.1.ebuild33
3 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/trustme/Manifest b/dev-python/trustme/Manifest
new file mode 100644
index 000000000000..b24494f778ef
--- /dev/null
+++ b/dev-python/trustme/Manifest
@@ -0,0 +1 @@
+DIST trustme-1.2.1.tar.gz 26844 BLAKE2B 83512726438b191e131d3aec847fa80a799463447f1be3586a32bae604d0fc26c8d3d68366c80df4a77661e9ce073c857c1df5bce4fd6ecdb46f22bd63ec410e SHA512 3dc5158294d79603378a281e706ea6b376833a40621c211f12c383bc1ef0720b2b6c1441eadab43292cbeee34aaa4618ed8ce4b8dedc4ca6f1faa14e4cb485bc
diff --git a/dev-python/trustme/metadata.xml b/dev-python/trustme/metadata.xml
new file mode 100644
index 000000000000..0f5a66fde854
--- /dev/null
+++ b/dev-python/trustme/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>williamh@gentoo.org</email>
+ <name>William Hubbs</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/trustme/trustme-1.2.1.ebuild b/dev-python/trustme/trustme-1.2.1.ebuild
new file mode 100644
index 000000000000..09935173af35
--- /dev/null
+++ b/dev-python/trustme/trustme-1.2.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="#1 quality TLS certs while you wait, for the discerning tester"
+HOMEPAGE="
+ https://github.com/python-trio/trustme/
+ https://pypi.org/project/trustme/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ >=dev-python/cryptography-3.1[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/service-identity[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest